from random import *
from sys import argv

seed('ololo')

test = 0
def out(d):
	d = list(set(d))
	if test != 0:
		shuffle(d)
	global test
	test += 1
	print('%d'%test)
	n = len(d)
	out = open('../tests/%02d'%test, 'w')
	print(n, file = out)
	print(" ".join(str(x) for x in d), file = out)
		
def all_even(n, k):
	result = []
	for i in range(n):
		result.append(2 * (randint(1, k // 2)))
	return result

def all_odd(n, k):
	result = []
	for i in range(n):
		result.append(2 * (randint(1, k // 2) + 1))
	return result


def randtest(n, k):
	result = []
	for i in range(n):
		result.append(randint(1,k))
	return result

out([1, 2, 3, 4, 5])

out(all_even(100, 100))
out(all_even(100000, 1000000000))
out(all_even(2, 1000000000))

out(list(range(1, 100001)))

out(all_odd(100, 100))
out(all_odd(2, 10))
out(all_odd(100000, 1000000000))
out(all_odd(2, 1000000000))

out(randtest(10, 10))
out(randtest(100, 100))
out(randtest(2, 1000))
out(randtest(100000, 100000))
out(randtest(100000, 1000000000))
out(randtest(2, 1000000000))

